var expect = require('chai').expect;    
var db = require('../../../db');
var person = require('../../../models/person');

describe('person model tests', function() { 
  var collectionName = 'people';
  var people;
  
  before(function(done) {
    db.connect("mongodb://localhost/testdb", done);
  });
  
  after(function() {
    db.close();
  });
  
  beforeEach(function(done) {
    people = [
      {first: 'John', last: 'Doe', email: 'john@example.com'},
      {first: 'Jane', last: 'Doe', email: 'jane@example.com'},      
    ];                                                              
    
    db.get().collection(collectionName).insert(people, done);
  });
  
  afterEach(function(done) {
     db.get().collection(collectionName).drop(done);
  });
  
  it('all should return all the people', function(done) {
    var callback = function(err, result) {
      expect(result).to.be.eql(people);
      done();
    };

    person.all(callback);
  });
  
  //Write more tests as necessary
});
